Bug 13383 - RDA: 100/110/111 changes to XSLT
Summary: RDA: 100/110/111 changes to XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344
  Show dependency treegraph
 
Reported: 2014-12-03 13:33 UTC by Nicole C. Engard
Modified: 2016-06-21 21:40 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
RDA: 100/110/111 changes to XSLT (2.36 KB, patch)
2015-03-17 13:26 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13383 - RDA: 100/110/111 changes to XSLT (30.91 KB, patch)
2015-03-25 13:45 UTC, Winona Salesky
Details | Diff | Splinter Review
Sample record for testing (1.10 KB, text/plain)
2015-03-25 19:47 UTC, Nick Clemens
Details
Bug 13383 - RDA: 100/110/111 changes to XSLT (11.02 KB, patch)
2015-03-26 15:25 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13383 - RDA: 100/110/111 changes to XSLT (32.96 KB, patch)
2015-04-01 18:29 UTC, Winona Salesky
Details | Diff | Splinter Review
Attachment to Bug 13383 - RDA: 100/110/111 changes to XSLT (25.60 KB, patch)
2015-06-05 02:35 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13383 - RDA: 100/110/111 changes to XSLT (25.52 KB, patch)
2015-06-05 21:42 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13383 - RDA: 100/110/111 changes to XSLT (25.58 KB, patch)
2015-07-10 16:19 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-03 13:33:03 UTC
The following change should be made to the MARC21 details in the staff and OPAC:

Display the authorized access point, ie author, after By (brief/full display) 

Display corresponding subfields a, b, c, d, q, t

Display corresponding subfield e with term in brackets; if there is more than one subfield e, list all terms within the brackets

By: Murakami, Haruki, 1949­ By: Waterman, John T.
Comment 1 Katrin Fischer 2014-12-08 21:23:06 UTC
Similar comment as for bug 13383: 

Be careful if both $4 and $e exist. I think if the relator term exists, don't display the relator code.

Also not sure about the | as separator.
Comment 2 Nicole C. Engard 2014-12-14 22:48:47 UTC
What separator would you use instead?
Comment 3 rgravel 2015-01-07 15:31:09 UTC
I agree with Katrin about the $4 and $e conflict- always favor the term over the code, as that is what patrons will more readily understand. 

I also still like the vertical bar as a separator for the reasons I mentioned in Bug 13382.
Comment 4 Winona Salesky 2015-03-10 00:48:01 UTC
Should there be a separator? Or should each be on their own line? 
-Winona

(In reply to rgravel from comment #3)
> I agree with Katrin about the $4 and $e conflict- always favor the term over
> the code, as that is what patrons will more readily understand. 
> 
> I also still like the vertical bar as a separator for the reasons I
> mentioned in Bug 13382.
Comment 5 Winona Salesky 2015-03-10 01:27:36 UTC
Also, while working on this I noticed that the relator code for field 111 is actually subfield j, should I add that change into this fix as well? This is not handled by the current version of the stylesheet. 
Thanks, 
-Winona


(In reply to Winona Salesky from comment #4)
> Should there be a separator? Or should each be on their own line? 
> -Winona
> 
> (In reply to rgravel from comment #3)
> > I agree with Katrin about the $4 and $e conflict- always favor the term over
> > the code, as that is what patrons will more readily understand. 
> > 
> > I also still like the vertical bar as a separator for the reasons I
> > mentioned in Bug 13382.
Comment 6 rgravel 2015-03-10 12:38:28 UTC
Thanks for catching that, Winona! I think this should be included in the fix, as it was just overlooked and is the equivalent of the $e in the 100/110s.


(In reply to Winona Salesky from comment #5)
> Also, while working on this I noticed that the relator code for field 111 is
> actually subfield j, should I add that change into this fix as well? This is
> not handled by the current version of the stylesheet. 
> Thanks, 
> -Winona
> 
> 
> (In reply to Winona Salesky from comment #4)
> > Should there be a separator? Or should each be on their own line? 
> > -Winona
> > 
> > (In reply to rgravel from comment #3)
> > > I agree with Katrin about the $4 and $e conflict- always favor the term over
> > > the code, as that is what patrons will more readily understand. 
> > > 
> > > I also still like the vertical bar as a separator for the reasons I
> > > mentioned in Bug 13382.
Comment 7 Winona Salesky 2015-03-17 13:26:08 UTC Comment hidden (obsolete)
Comment 8 Winona Salesky 2015-03-25 13:45:36 UTC Comment hidden (obsolete)
Comment 9 Nick Clemens 2015-03-25 19:45:41 UTC
1 - 100 subfield D is not displaying
2 - 111 subfields j,4 not displaying in any combination
Comment 10 Nick Clemens 2015-03-25 19:47:13 UTC
Created attachment 37247 [details]
Sample record for testing

Sample record with data in all affected fields, not properly formatted, for testing only
Comment 11 Nick Clemens 2015-03-25 19:57:33 UTC
Let me revise the comments, was looking at pre-apply notes instead of post-apply
100$d does display as well as 111$j


1 - For 100/110 In presence of both $4 and $e I think $e should take preference, it is the other way around now

2 - 111$j displays whether or not $4 is present and $4 does NOT display whether not $j is present

3 - If 111$j is blank, the record displays an empty []
Comment 12 Winona Salesky 2015-03-26 15:25:31 UTC Comment hidden (obsolete)
Comment 13 Winona Salesky 2015-03-26 15:30:20 UTC
This should address the issues with the relator codes and terms.

Thanks,
-Winona

(In reply to Winona Salesky from comment #12)
> Created attachment 37281 [details] [review] [review]
> Bug 13383 - RDA: 100/110/111 changes to XSLT
> 
> Test plan:
> 1) Apply this patch
> 2) Ensure you are using the default XSLT setting for the staff and opac
> search results and record details
> 3) Find or create a record with MARC tags 100,110,111
> 4) Perform an opac search that would show the record in the search results.
> 5) Click title to review record.
> 6) Note the fields updates 100,110,111 to show subfields a,b,c,d,q and
> t.Multiple fields are separated by span class=separator |.
> 7) Repeat steps 4 - 6 for the staff interface
Comment 14 Nick Clemens 2015-03-28 17:09:36 UTC
Applying: RDA: 100/110/111 changes to XSLT
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/xslt/MARC21slim2intranetDetail.xsl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 RDA: 100/110/111 changes to XSLT
When you have resolved this problem run "git bz apply --continue".
If you would prefer to skip this patch, instead run "git bz apply --skip".
To restore the original branch and stop patching run "git bz apply --abort".
Patch left in /tmp/Bug-13383---RDA-100110111-changes-to-XSLT-9bjGww.patch
Comment 15 Winona Salesky 2015-04-01 18:29:30 UTC Comment hidden (obsolete)
Comment 16 Nick Clemens 2015-04-08 21:37:05 UTC
Okay, fixed what I saw before but noticed new issue:

-Multiple relator terms/codes do seem to be showing (only shows first $e/$4 (or $j/$4 for 111)

Also a question:  Should we display 100$j (Attribution qualifier)?  I don't know if I have ever used it, but seems like it should show if present (and all if repeated)

I think that is it then, trying to catch all the cases but so many little details to watch
Comment 17 Winona Salesky 2015-05-11 14:09:20 UTC
I don't see any reason not to include the 100$j, if no one objects I will add it. 
-Winona


(In reply to Nick Clemens from comment #16)
> Okay, fixed what I saw before but noticed new issue:
> 
> -Multiple relator terms/codes do seem to be showing (only shows first $e/$4
> (or $j/$4 for 111)
> 
> Also a question:  Should we display 100$j (Attribution qualifier)?  I don't
> know if I have ever used it, but seems like it should show if present (and
> all if repeated)
> 
> I think that is it then, trying to catch all the cases but so many little
> details to watch
Comment 18 Nick Clemens 2015-05-22 21:35:16 UTC
I think no one has objected so you could go ahead and add

(In reply to Winona Salesky from comment #17)
> I don't see any reason not to include the 100$j, if no one objects I will
> add it. 
> -Winona
> 
> 
> (In reply to Nick Clemens from comment #16)
> > Okay, fixed what I saw before but noticed new issue:
> > 
> > -Multiple relator terms/codes do seem to be showing (only shows first $e/$4
> > (or $j/$4 for 111)
> > 
> > Also a question:  Should we display 100$j (Attribution qualifier)?  I don't
> > know if I have ever used it, but seems like it should show if present (and
> > all if repeated)
> > 
> > I think that is it then, trying to catch all the cases but so many little
> > details to watch
Comment 19 Winona Salesky 2015-05-22 21:48:33 UTC
Just waiting until 13382 gets pushed to master. There are some contradictions in the two, it will be easier to work from the latest version. 

-Winona

(In reply to Nick Clemens from comment #18)
> I think no one has objected so you could go ahead and add
> 
> (In reply to Winona Salesky from comment #17)
> > I don't see any reason not to include the 100$j, if no one objects I will
> > add it. 
> > -Winona
> > 
> > 
> > (In reply to Nick Clemens from comment #16)
> > > Okay, fixed what I saw before but noticed new issue:
> > > 
> > > -Multiple relator terms/codes do seem to be showing (only shows first $e/$4
> > > (or $j/$4 for 111)
> > > 
> > > Also a question:  Should we display 100$j (Attribution qualifier)?  I don't
> > > know if I have ever used it, but seems like it should show if present (and
> > > all if repeated)
> > > 
> > > I think that is it then, trying to catch all the cases but so many little
> > > details to watch
Comment 20 Winona Salesky 2015-06-05 02:35:10 UTC Comment hidden (obsolete)
Comment 21 Nick Clemens 2015-06-05 21:42:07 UTC Comment hidden (obsolete)
Comment 22 Nick Clemens 2015-06-05 21:52:50 UTC
Works 

Worth mentioning that subfields $u and $g might be worth having too, but not necessary
Comment 23 Winona Salesky 2015-06-06 02:24:10 UTC
Perhaps in a future enhancement?
-Winona

(In reply to Nick Clemens from comment #22)
> Works 
> 
> Worth mentioning that subfields $u and $g might be worth having too, but not
> necessary
Comment 24 Kyle M Hall 2015-07-10 16:19:48 UTC
Created attachment 40940 [details] [review]
[PASSED QA] Bug 13383 - RDA: 100/110/111 changes to XSLT

Test plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 100,110,111
4) Perform an opac search that would show the record in the search results.
5) Click title to review record.
6) Note the fields updates 100,110,111 to show subfields a,b,c,d,q and t.Multiple fields are separated by span class=separator |. Includes 100$j and handles multiple relator terms/codes.
7) Repeat steps 4 - 6 for the staff interface

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 25 Tomás Cohen Arazi 2015-08-28 13:25:52 UTC
Patch pushed to master.

Thanks Winona!